darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Prim.FileUUID.Apply

Contents

- Orphan instances

# Documentation

hunkEdit :: Hunk wX wY -> FileContent -> Either String FileContent #

data ObjectMap (m :: Type -> Type) #

Constructors

ObjectMap |

Fields

- getObject :: UUID -> m (Maybe (Object m))
- putObject :: UUID -> Object m -> m (ObjectMap m)
- listObjects :: m [UUID]

#### Instances

Instances details

MonadThrow m => ApplyMonadTrans ObjectMap m # |

Instance details

Defined in Darcs.Patch.Prim.FileUUID.Apply

Associated Types

type ApplyMonadOver ObjectMap m |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply type ApplyMonadOver ObjectMap m = StateT (ObjectMap m) m

Methods

runApplyMonad :: ApplyMonadOver ObjectMap m x -> ObjectMap m -> m (x, ObjectMap m) #

MonadThrow m => ApplyMonad ObjectMap (StateT (ObjectMap m) m) # |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply Methods readFilePS :: ObjectIdOf ObjectMap -> StateT (ObjectMap m) m ByteString #
type ApplyMonadOperations ObjectMap # |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply type ApplyMonadOperations ObjectMap
type ObjectIdOf ObjectMap # |
Instance details Defined in Darcs.Patch.Prim.FileUUID.ObjectMap type ObjectIdOf ObjectMap = UUID
type ApplyMonadOver ObjectMap m # |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply type ApplyMonadOver ObjectMap m = StateT (ObjectMap m) m

# Orphan instances

Apply Prim # |

Instance details

Associated Types

type ApplyState Prim |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply type ApplyState Prim = ObjectMap

Methods

apply :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m () #

unapply :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m () #

PrimApply Prim # |
Instance details Methods applyPrimFL :: ApplyMonad (ApplyState Prim) m => FL Prim wX wY -> m () #
RepairToFL Prim # |
Instance details Methods applyAndTryToFixFL :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m (Maybe (String, FL Prim wX wY)) #
MonadThrow m => ApplyMonadTrans ObjectMap m # |

Instance details

Associated Types

type ApplyMonadOver ObjectMap m |
Instance details Defined in Darcs.Patch.Prim.FileUUID.Apply type ApplyMonadOver ObjectMap m = StateT (ObjectMap m) m

Methods

runApplyMonad :: ApplyMonadOver ObjectMap m x -> ObjectMap m -> m (x, ObjectMap m) #

MonadThrow m => ApplyMonad ObjectMap (StateT (ObjectMap m) m) # |
Instance details Methods readFilePS :: ObjectIdOf ObjectMap -> StateT (ObjectMap m) m ByteString #